Subject: bug#35663: 27.0.50; Eldoc support for apply

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Aug 2020 15:07:14 +0200

João Távora <[email-masked]> writes:

> I think this makes sense. SLY/SLIME for CL do something similar
> with #'make-instance, for instance.  As soon as you type the function name
> or class name and the autodoc system recognizes it, it switches to the 
> showing you the args for that function instead.
>
> The patch shouldn't be terribly difficult to adapt, since I've not
> significantly touched the client-side logic (as in clients of eldoc).

I had a very brief look at adapting the patch to the new eldoc setup --
I guess the code should go into elisp-eldoc-funcall?

However, the parameters have changed somewhat, and I'm not familiar with
this code at all, so I think it would be preferable if somebody else
took a look at it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no